## Unified Retrocomputer Keyboard Project

This project aims to provide a unified collection of keyboards and encoders for vintage computers, with modular design to reuse as many elements as possible across the designs.  

Home computers of the 1970's typically either polled a switch matrix, or interfaced to a parallel ASCII keyboard via a parallel port.

The keyboard allows use of Cherry MX keys, or Futaba MD-4PCS (aka George Risk KBM-01-01) keys.

The keyboard is designed using KiCad in order to be the most useful for anybody wishing to modify the keyboard for more specific uses, or to add to the project.

### Capabilities so far:
- Replacement keyboard for OSI computers
- Replacement keyboard for Apple II/II+ computers
- Replacement keyboard for the Sol-20 computer
- Generic ADM-3A/Teletype style keyboard
- Apple I keyboard (multiple styles)

### Coming soon:
- Replace encoder board on Apple II/II+ keyboards
- Convert an OSI 542 keyboard into a generic ASCII keyboard
- Replica for Knight keyboard

### This keyboard project so far consists of:
- A classic retro-style ASCII keyboard, modeled after the ADM-3A keyboard, which
  can be also be populated to fit perfectly in an Apple II/II+ case (with corresponding Apple II keymaps), or an OSI
  case (with OSI adapter).
- A Sol-20 compatible keyboard.
- Keyscan/decoder interface modules that can output parallel ASCII, and can be adapted for other protocols.
- An OSI interface module, to connect the classic keyboard to an OSI computer.
